      CHARACTER*128 FUNCTION GETSTRING(i_line)
c***
      INCLUDE 'undefined.h'
      INCLUDE 'GP_common.h'
      INTEGER i_line
      INTEGER ibegin, i, iend
      CHARACTER*128 line1,line2
      CHARACTER*1 eq_char, blank
      DATA eq_char/'='/, blank/' '/
      INTRINSIC INDEX
#ifdef sn4607
      character*128 readc2s
      external readc2s
#endif
c***
      line1 = lines_of_text(i_line)
      ibegin = 1 + INDEX(line1,eq_char)
      do i = 1, 128
         line2(i:i) = blank
      enddo
      line2(1:128 - ibegin + 1) = line1(ibegin:128)
#ifdef sn4607
      GETSTRING=readc2s(line2)
#else
      read(line2,'(A)') GETSTRING
#endif
c***
c---      write(*,*) line1(1:ibegin-1), '>>>', GETSTRING, '<<<'
c***
      return 
      end
